org.bdgenomics.adam.models.TagType

# TypeVal

###
Related Doc: package TagType

#### class TypeVal extends Val

A representation of the type of data stored in a tagged field.

Linear Supertypes
TagType.Val, TagType.Value, Serializable, Serializable, Ordered[TagType.Value], Comparable[TagType.Value], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TypeVal
2. Val
3. Value
4. Serializable
5. Serializable
6. Ordered
7. Comparable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TypeVal(abbreviation: String)

   abbreviation

     A string describing the data type underlying the attribute. The string values that are stored with the attribute come from the SAM file format spec: http://samtools.sourceforge.net/SAMv1.pdf

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(v: TagType.Value): TagType.ValueSet

   Definition Classes
     Value

4. #### def <(that: TagType.Value): Boolean

   Definition Classes
     Ordered

5. #### def <=(that: TagType.Value): Boolean

   Definition Classes
     Ordered

6. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

7. #### def >(that: TagType.Value): Boolean

   Definition Classes
     Ordered

8. #### def >=(that: TagType.Value): Boolean

   Definition Classes
     Ordered

9. #### val abbreviation: String

   A string describing the data type underlying the attribute.

   A string describing the data type underlying the attribute. The string values that are stored with the attribute come from the SAM file format spec: http://samtools.sourceforge.net/SAMv1.pdf

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def compare(that: TagType.Value): Int

    Definition Classes
      Value → Ordered

13. #### def compareTo(that: TagType.Value): Int

    Definition Classes
      Ordered → Comparable

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(other: Any): Boolean

    Definition Classes
      Value → AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      Value → AnyRef → Any

19. #### def id: Int

    Definition Classes
      Val → Value

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Val

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      TypeVal → Val → AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from TagType.Val

### Inherited from TagType.Value

### Inherited from Serializable

### Inherited from Ordered[TagType.Value]

### Inherited from Comparable[TagType.Value]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped